less.hpp File Reference
`#include <msgpack/preprocessor/comparison/less_equal.hpp>`
`#include <msgpack/preprocessor/comparison/not_equal.hpp>`
`#include <msgpack/preprocessor/config/config.hpp>`
`#include <msgpack/preprocessor/control/iif.hpp>`
`#include <msgpack/preprocessor/logical/bitand.hpp>`
`#include <msgpack/preprocessor/tuple/eat.hpp>`

Go to the source code of this file.

## Macros

#define | MSGPACK_PP_LESS(x, y) MSGPACK_PP_LESS_I(x, y)
#define | MSGPACK_PP_LESS_I(x, y) MSGPACK_PP_IIF(MSGPACK_PP_NOT_EQUAL(x, y), MSGPACK_PP_LESS_EQUAL, 0 MSGPACK_PP_TUPLE_EAT_2)(x, y)
#define | MSGPACK_PP_LESS_D(d, x, y) MSGPACK_PP_LESS_D_I(d, x, y)
#define | MSGPACK_PP_LESS_D_I(d, x, y) MSGPACK_PP_IIF(MSGPACK_PP_NOT_EQUAL(x, y), MSGPACK_PP_LESS_EQUAL_D, 0 MSGPACK_PP_TUPLE_EAT_3)(d, x, y)

## Macro Definition Documentation

## MSGPACK_PP_LESS

#define MSGPACK_PP_LESS | ( |  | x,
|  |  | y
| ) |  | MSGPACK_PP_LESS_I(x, y)

## MSGPACK_PP_LESS_D

#define MSGPACK_PP_LESS_D | ( |  | d,
|  |  | x,
|  |  | y
| ) |  | MSGPACK_PP_LESS_D_I(d, x, y)

## MSGPACK_PP_LESS_D_I

#define MSGPACK_PP_LESS_D_I | ( |  | d,
|  |  | x,
|  |  | y
| ) |  | MSGPACK_PP_IIF(MSGPACK_PP_NOT_EQUAL(x, y), MSGPACK_PP_LESS_EQUAL_D, 0 MSGPACK_PP_TUPLE_EAT_3)(d, x, y)

## MSGPACK_PP_LESS_I

#define MSGPACK_PP_LESS_I | ( |  | x,
|  |  | y
| ) |  | MSGPACK_PP_IIF(MSGPACK_PP_NOT_EQUAL(x, y), MSGPACK_PP_LESS_EQUAL, 0 MSGPACK_PP_TUPLE_EAT_2)(x, y)